VULKAN_HPP_NAMESPACE::BufferView Class Reference

`#include <vulkan.hpp>`

## Public Member Functions

VULKAN_HPP_CONSTEXPR | BufferView ()
VULKAN_HPP_CONSTEXPR | BufferView (std::nullptr_t)
VULKAN_HPP_TYPESAFE_EXPLICIT | BufferView (VkBufferView bufferView)
BufferView & | operator= (std::nullptr_t)
bool | operator== (BufferView const &rhs) const
bool | operator!= (BufferView const &rhs) const
bool | operator< (BufferView const &rhs) const
VULKAN_HPP_TYPESAFE_EXPLICIT | operator VkBufferView () const
| operator bool () const
bool | operator! () const

## Private Attributes

VkBufferView | m_bufferView

## Detailed Description

Definition at line 3145 of file vulkan.hpp.

## Constructor & Destructor Documentation

## BufferView() [1/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::BufferView::BufferView | ( |  | ) |

inline

Definition at line 3148 of file vulkan.hpp.

: m_bufferView(VK_NULL_HANDLE)
{}

## BufferView() [2/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::BufferView::BufferView | ( | std::nullptr_t |  | ) |

inline

Definition at line 3152 of file vulkan.hpp.

: m_bufferView(VK_NULL_HANDLE)
{}

## BufferView() [3/3]

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::BufferView::BufferView | ( | VkBufferView | bufferView | ) |

inline

Definition at line 3156 of file vulkan.hpp.

: m_bufferView( bufferView )
{}

## Member Function Documentation

## operator bool()

VULKAN_HPP_NAMESPACE::BufferView::operator bool | ( |  | ) | const

inline explicit

Definition at line 3196 of file vulkan.hpp.

{
return m_bufferView != VK_NULL_HANDLE;
}

References m_bufferView, and VK_NULL_HANDLE.

## operator VkBufferView()

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::BufferView::operator VkBufferView | ( |  | ) | const

inline

Definition at line 3191 of file vulkan.hpp.

{
return m_bufferView;
}

References m_bufferView.

## operator!()

bool VULKAN_HPP_NAMESPACE::BufferView::operator! | ( |  | ) | const

inline

Definition at line 3201 of file vulkan.hpp.

{
return m_bufferView == VK_NULL_HANDLE;
}

References m_bufferView, and VK_NULL_HANDLE.

## operator!=()

bool VULKAN_HPP_NAMESPACE::BufferView::operator!= | ( | BufferView const & | rhs | ) | const

inline

Definition at line 3179 of file vulkan.hpp.

{
return m_bufferView != rhs.m_bufferView;
}

References m_bufferView.

## operator<()

bool VULKAN_HPP_NAMESPACE::BufferView::operator< | ( | BufferView const & | rhs | ) | const

inline

Definition at line 3184 of file vulkan.hpp.

{
return m_bufferView < rhs.m_bufferView;
}

References m_bufferView.

## operator=()

BufferView& VULKAN_HPP_NAMESPACE::BufferView::operator= | ( | std::nullptr_t |  | ) |

inline

Definition at line 3168 of file vulkan.hpp.

{
m_bufferView = VK_NULL_HANDLE;
return *this;
}

References m_bufferView, and VK_NULL_HANDLE.

## operator==()

bool VULKAN_HPP_NAMESPACE::BufferView::operator== | ( | BufferView const & | rhs | ) | const

inline

Definition at line 3174 of file vulkan.hpp.

{
return m_bufferView == rhs.m_bufferView;
}

References m_bufferView.

## Field Documentation

## m_bufferView

VkBufferView VULKAN_HPP_NAMESPACE::BufferView::m_bufferView

private

Definition at line 3207 of file vulkan.hpp.

Referenced by operator bool(), operator VkBufferView(), operator!(), operator!=(), operator<(), operator=(), and operator==().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::BufferView::m_bufferView
VkBufferView m_bufferView
Definition: vulkan.hpp:3207
VK_NULL_HANDLE
#define VK_NULL_HANDLE
Definition: vulkan_core.h:49